14 Декабрь 2017, 02:45:15Последний пользователь: starper47rus
Страниц: 1 ... 5 6 [7] 8   Вниз
  Отправить эту тему  |  Печать  
Автор Тема: Ace Stream 3.1 for Ubuntu (ru/en)  (Прочитано 24941 раз)
0 Пользователей и 1 Гость смотрят эту тему.
azzido
Newbie
*
Оффлайн Оффлайн
Сообщений: 8

Email
« Ответ #90 : 27 Июнь 2017, 20:50:31 »

всё запустил работает
убило почти весь день  ;D
хочу сказать на ubuntu лучше работает, чем у меня  раньше  на windows 10,   лагало не по детски

« Последнее редактирование: 27 Июнь 2017, 21:05:06 от azzido » Сообщить модератору   Записан
spv
Newbie
*
Оффлайн Оффлайн
Сообщений: 10

Email
« Ответ #91 : 02 Август 2017, 17:07:48 »

всё запустил работает
убило почти весь день  ;D

mozilla plugin тоже удалось запустить на 17.04?
Сообщить модератору   Записан
smorman
Newbie
*
Оффлайн Оффлайн
Сообщений: 3

Email
« Ответ #92 : 13 Август 2017, 19:25:09 »

всё запустил работает
убило почти весь день  ;D
хочу сказать на ubuntu лучше работает, чем у меня  раньше  на windows 10,   лагало не по детски




Как запустил?!
Выложи поэтапно, плиз!
Сообщить модератору   Записан
maltsev.v.v
Newbie
*
Оффлайн Оффлайн
Сообщений: 2

Email
« Ответ #93 : 14 Сентябрь 2017, 19:48:30 »

Всем привет. Может, кто подскажет, что сделать, чтоб запускался /home/kodi/acestream/acestreamengine --client-consol
  /home/kodi/acestream/acestreamengine --client-consol
2017-09-14 19:39:45,196|MainThread|acestream|error during startup
Traceback (most recent call last):
  File "core.c", line 1591, in
  File "core.c", line 423, in
  File "core.c", line 243, in
  File "core.c", line 63, in
  File "ACEStream/third_party/pychromecast/pychromecast/__init__.py", line 12, in <module>
  File "ACEStream/third_party/pychromecast/pychromecast/config.py", line 6, in <module>
  File "/home/kodi/acestream/lib/requests-2.12.5-py2.7.egg/requests/__init__.py", line 52, in <module>
  File "/home/kodi/acestream/lib/requests-2.12.5-py2.7.egg/requests/packages/urllib3/contrib/pyopenssl.py", line 47, in <module>
  File "/usr/lib/python2.7/dist-packages/OpenSSL/__init__.py", line 8, in <module>
    from OpenSSL import rand, crypto, SSL
  File "/usr/lib/python2.7/dist-packages/OpenSSL/rand.py", line 11, in <module>
    from OpenSSL._util import (
  File "/usr/lib/python2.7/dist-packages/OpenSSL/_util.py", line 6, in <module>
    from cryptography.hazmat.bindings.openssl.binding import Binding
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/bindings/openssl/binding.py", line 205, in <module>
    Binding.init_static_locks()
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/bindings/openssl/binding.py", line 161, in init_static_locks
    cls._ensure_ffi_initialized()
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/bindings/openssl/binding.py", line 156, in _ensure_ffi_initialized
    cls._register_osrandom_engine()
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/bindings/openssl/binding.py", line 121, in _register_osrandom_engine
    _openssl_assert(cls.lib, cls.lib.ERR_peek_error() == 0)
  File "/usr/lib/python2.7/dist-packages/cryptography/hazmat/bindings/openssl/binding.py", line 43, in _openssl_assert
    errors
InternalError: Unknown OpenSSL error. Please file an issue at https://github.com/pyca/cryptography/issues with information on how to reproduce this. ([_OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109), _OpenSSLError(code=101077101L, lib=6, func=101, reason=109)])
Это начинается, после установки Deluge.
Если удалить каталог cryptography из /usr/lib/python2.7/dist-packages/cryptography, то ACEstream работает, но тогда Deluge c web, не работает. Если вернуть каталог  cryptography, то  ACEstream не работает, зато deluge работает. Может, кто подскажет?
Читал на первой странице, что необходимо
Цитировать
убрать requests из acestream и использовать системный 2.11.1
,
Удалить  requests  понимаю, а вот как использовать системный 2.11, я не понимаю. Подскажите.
Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #94 : 14 Сентябрь 2017, 21:04:24 »

как использовать системный 2.11, я не понимаю. Подскажите.
Установить из системного репозитория python-requests (так пакет в убунте и дебиане называется), в редхатоподобных может быть иначе.
Сообщить модератору   Записан
maltsev.v.v
Newbie
*
Оффлайн Оффлайн
Сообщений: 2

Email
« Ответ #95 : 14 Сентябрь 2017, 22:04:23 »

Ubuntu 16.04 LTS
Выполнил:
sudo pip install requests
а дальше подскажите?
Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #96 : 15 Сентябрь 2017, 22:02:05 »

а дальше подскажите?
А дальше нужно пробовать.
Но лично я сомневаюсь, что это что-то даст - т.е одно дело просто запустить Ace Stream, удалив (или добавив) компонент/библиотеку, а другое - разрешить конфликт в этих самых библиотеках, чтобы и Ace Stream работал, и другие python-based приложения не страдали.
Быстрых и хороших решений здесь нет - одни костыли, т.е нужно разбираться  - чего там в crypto/cryptography изменили/поломали в свежих версиях Убунты и/или Deluge, потому как в 14.04 связка Ace Stream+Deluge работает без вопросов.
Чтобы совсем не остаться без торрент-клиента, можно пока использовать Transmission - ему пофиг все эти питоновские заморочки.
Сообщить модератору   Записан
kakao
Newbie
*
Оффлайн Оффлайн
Сообщений: 4

Email
« Ответ #97 : 12 Октябрь 2017, 13:48:54 »

Здваствуйте!

хочу устанавить acestream 3.1.1 но не получется ,ввсе сделал как положено у меня устоновлен Linux mint 18.2. cinemon

теминал выдает следующюю ошибку

 /opt/acestream/start-engine
/opt/acestream/acestreamengine: 1: /opt/acestream/acestreamengine: Syntax error: "(" unexpected

заранее спасибо
Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #98 : 12 Октябрь 2017, 14:27:36 »

http://wiki.acestream.org/wiki/index.php/Install_Ubuntu

Syntax error: "(" unexpected
Что в этом линуксе как sh используется?
См. http://forum.torrentstream.org/index.php?topic=12086.msg24410#msg24410
Сообщить модератору   Записан
Anton_Familianov
Newbie
*
Оффлайн Оффлайн
Сообщений: 5

Email
« Ответ #99 : 16 Ноябрь 2017, 07:10:38 »

как использовать системный 2.11, я не понимаю. Подскажите.
Установить из системного репозитория python-requests (так пакет в убунте и дебиане называется), в редхатоподобных может быть иначе.
Данная фича работает с Linux mint 18, ubuntu 17.10.
Ubuntu 16.04 не принимает сию подмену.
Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #100 : 16 Ноябрь 2017, 12:43:45 »

Ubuntu 16.04 не принимает сию подмену.
В Ubuntu 16.04 изначально все должно нормально работать. Или речь про конфликт в модулях питона при установке сторонних приложений?
Сообщить модератору   Записан
Anton_Familianov
Newbie
*
Оффлайн Оффлайн
Сообщений: 5

Email
« Ответ #101 : 16 Ноябрь 2017, 12:59:12 »

Ubuntu 16.04 не принимает сию подмену.
В Ubuntu 16.04 изначально все должно нормально работать. Или речь про конфликт в модулях питона при установке сторонних приложений?
Как проводилось тестирование. В виртуал боксе производилась установка ОС (на доп кодеках мультимедиа галочка не ставилась). После прямо из коробки скачивалось и распаковывалось 2 архива (acestream_3.1.16_ubuntu_16.04_x86_64.tar.gz) в папки №1 и №2. В папке №1 удалялся requests-2.12.5-py2.7.egg, после чего выполнялся скрипт sh start-engine --client-console . В ubuntu 17.10 и linux mint 18.2 ошибка openssl не вываливалась (при запуске через папку №1), в ubuntu 16.04.3 хоть при №1, хоть при №2, openssl вываливалась.
P.S. sudo apt install python-requests проводилось на всех 3-х системах.
« Последнее редактирование: 16 Ноябрь 2017, 13:01:12 от Anton_Familianov » Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #102 : 16 Ноябрь 2017, 18:14:10 »

после чего выполнялся скрипт sh start-engine --client-console
Зависимости все были удовлетворены?
В целом, не подтверждаю - чистая установка 16.04 плюс апдейты, качаем нужный архив (http://wiki.acestream.org/wiki/index.php/Download), затем действуем тупо по мануалу из http://wiki.acestream.org/wiki/index.php/Install_Ubuntu#Installing_Ace_Stream_Engine и в результате:


* acu16.png (66.49 кБ, 1199x786 - просмотрено 107 раз.)
Сообщить модератору   Записан
Anton_Familianov
Newbie
*
Оффлайн Оффлайн
Сообщений: 5

Email
« Ответ #103 : 17 Ноябрь 2017, 03:41:01 »

после чего выполнялся скрипт sh start-engine --client-console
Зависимости все были удовлетворены?
В целом, не подтверждаю - чистая установка 16.04 плюс апдейты, качаем нужный архив (http://wiki.acestream.org/wiki/index.php/Download), затем действуем тупо по мануалу из http://wiki.acestream.org/wiki/index.php/Install_Ubuntu#Installing_Ace_Stream_Engine и в результате:
Зависимости все (+ python-requests), апдэйты не ставились (установка на чистую ос). Сегодня еще просмотрю все нюансы по установки данного движка.

Решил обновиться. Так же мимо(( ютуб /watch?v=FGud8w-T61Q (x-сами не занимался, так что извиняйте за качество =)
« Последнее редактирование: 17 Ноябрь 2017, 06:18:09 от Anton_Familianov » Сообщить модератору   Записан
Benny
Administrator
Hero Member
*****
Оффлайн Оффлайн
Сообщений: 666

Email
« Ответ #104 : 17 Ноябрь 2017, 12:49:48 »

Зависимости все (+ python-requests)
Я ж не зря написал - "тупо по мануалу". В каком месте в оном сказано "установите python-requests"?
Зачем делать то, что не нужно/не требуется, а потом рассказывать про "у меня не работает"?

Сообщить модератору   Записан
Страниц: 1 ... 5 6 [7] 8   Вверх
  Отправить эту тему  |  Печать